AlertValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.shared.AlertValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.shared
Class AlertValue

    java.lang.Object
      org.hyperic.hq.events.shared.AlertValue

All Implemented Interfaces:
  java.io.Serializable

    public class AlertValue

extends java.lang.Object
implements java.io.Serializable

Value object for Alert.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `addedActionLogs`
`protected java.util.Collection` | `addedConditionLogs`
`protected java.util.Collection` | `addedEscalationLogs`
`protected java.util.Collection` | `removedActionLogs`
`protected java.util.Collection` | `removedConditionLogs`
`protected java.util.Collection` | `removedEscalationLogs`
`protected java.util.Collection` | `updatedActionLogs`
`protected java.util.Collection` | `updatedConditionLogs`
`protected java.util.Collection` | `updatedEscalationLogs`

Constructor Summary
`AlertValue()`
`AlertValue(AlertValue otherValue)`
`AlertValue(java.lang.Integer id, java.lang.Integer alertDefId, long ctime)`

Method Summary
`void` | `addActionLog(AlertActionLog added)`
`void` | `addConditionLog(AlertConditionLogValue added)`
`void` | `addEscalationLog(AlertActionLog added)`
`boolean` | `alertDefIdHasBeenSet()`
`void` | `cleanActionLog()`
`void` | `cleanConditionLog()`
`void` | `cleanEscalationLog()`
`void` | `copyActionLogsFrom(AlertValue from)`
`void` | `copyConditionLogsFrom(AlertValue from)`
`void` | `copyEscalationLogsFrom(AlertValue from)`
`boolean` | `ctimeHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`AlertActionLog[]` | `getActionLogs()`
`java.util.Collection` | `getAddedActionLogs()`
`java.util.Collection` | `getAddedConditionLogs()`
`java.util.Collection` | `getAddedEscalationLogs()`
`java.lang.Integer` | `getAlertDefId()`
`AlertConditionLogValue[]` | `getConditionLogs()`
`long` | `getCtime()`
`AlertActionLog[]` | `getEscalationLogs()`
`java.lang.Integer` | `getId()`
`java.util.Collection` | `getRemovedActionLogs()`
`java.util.Collection` | `getRemovedConditionLogs()`
`java.util.Collection` | `getRemovedEscalationLogs()`
`java.util.Collection` | `getUpdatedActionLogs()`
`java.util.Collection` | `getUpdatedConditionLogs()`
`java.util.Collection` | `getUpdatedEscalationLogs()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isAcknowledgeable()`
`boolean` | `isFixed()`
`boolean` | `isIdentical(java.lang.Object other)`
`void` | `removeActionLog(AlertActionLog removed)`
`void` | `removeAllActionLogs()`
`void` | `removeAllConditionLogs()`
`void` | `removeAllEscalationLogs()`
`void` | `removeConditionLog(AlertConditionLogValue removed)`
`void` | `removeEscalationLog(AlertActionLog removed)`
`void` | `setAcknowledgeable(boolean acknowledgeable)`
`void` | `setAlertDefId(java.lang.Integer alertDefId)`
`void` | `setCtime(long ctime)`
`void` | `setFixed(boolean fixed)`
`void` | `setId(java.lang.Integer id)`
`java.lang.String` | `toString()`
`void` | `updateActionLog(AlertActionLog updated)`
`void` | `updateConditionLog(AlertConditionLogValue updated)`
`void` | `updateEscalationLog(AlertActionLog updated)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedConditionLogs

    protected java.util.Collection addedConditionLogs

### removedConditionLogs

    protected java.util.Collection removedConditionLogs

### updatedConditionLogs

    protected java.util.Collection updatedConditionLogs

### addedActionLogs

    protected java.util.Collection addedActionLogs

### removedActionLogs

    protected java.util.Collection removedActionLogs

### updatedActionLogs

    protected java.util.Collection updatedActionLogs

### addedEscalationLogs

    protected java.util.Collection addedEscalationLogs

### removedEscalationLogs

    protected java.util.Collection removedEscalationLogs

### updatedEscalationLogs

    protected java.util.Collection updatedEscalationLogs

Constructor Detail

### AlertValue

    public AlertValue()

### AlertValue

    public AlertValue(java.lang.Integer id,
                      java.lang.Integer alertDefId,
                      long ctime)

### AlertValue

    public AlertValue(AlertValue otherValue)

Method Detail

### isFixed

    public boolean isFixed()

### setFixed

    public void setFixed(boolean fixed)

### isAcknowledgeable

    public boolean isAcknowledgeable()

### setAcknowledgeable

    public void setAcknowledgeable(boolean acknowledgeable)

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getAlertDefId

    public java.lang.Integer getAlertDefId()

### setAlertDefId

    public void setAlertDefId(java.lang.Integer alertDefId)

### alertDefIdHasBeenSet

    public boolean alertDefIdHasBeenSet()

### getCtime

    public long getCtime()

### setCtime

    public void setCtime(long ctime)

### ctimeHasBeenSet

    public boolean ctimeHasBeenSet()

### getAddedConditionLogs

    public java.util.Collection getAddedConditionLogs()

### getRemovedConditionLogs

    public java.util.Collection getRemovedConditionLogs()

### getUpdatedConditionLogs

    public java.util.Collection getUpdatedConditionLogs()

### getConditionLogs

    public AlertConditionLogValue[] getConditionLogs()

### addConditionLog

    public void addConditionLog(AlertConditionLogValue added)

### removeConditionLog

    public void removeConditionLog(AlertConditionLogValue removed)

### removeAllConditionLogs

    public void removeAllConditionLogs()

### updateConditionLog

    public void updateConditionLog(AlertConditionLogValue updated)

### cleanConditionLog

    public void cleanConditionLog()

### copyConditionLogsFrom

    public void copyConditionLogsFrom(AlertValue from)

### getAddedActionLogs

    public java.util.Collection getAddedActionLogs()

### getRemovedActionLogs

    public java.util.Collection getRemovedActionLogs()

### getUpdatedActionLogs

    public java.util.Collection getUpdatedActionLogs()

### getActionLogs

    public AlertActionLog[] getActionLogs()

### addActionLog

    public void addActionLog(AlertActionLog added)

### removeActionLog

    public void removeActionLog(AlertActionLog removed)

### removeAllActionLogs

    public void removeAllActionLogs()

### updateActionLog

    public void updateActionLog(AlertActionLog updated)

### cleanActionLog

    public void cleanActionLog()

### copyActionLogsFrom

    public void copyActionLogsFrom(AlertValue from)

### getAddedEscalationLogs

    public java.util.Collection getAddedEscalationLogs()

### getRemovedEscalationLogs

    public java.util.Collection getRemovedEscalationLogs()

### getUpdatedEscalationLogs

    public java.util.Collection getUpdatedEscalationLogs()

### getEscalationLogs

    public AlertActionLog[] getEscalationLogs()

### addEscalationLog

    public void addEscalationLog(AlertActionLog added)

### removeEscalationLog

    public void removeEscalationLog(AlertActionLog removed)

### removeAllEscalationLogs

    public void removeAllEscalationLogs()

### updateEscalationLog

    public void updateEscalationLog(AlertActionLog updated)

### cleanEscalationLog

    public void cleanEscalationLog()

### copyEscalationLogsFrom

    public void copyEscalationLogsFrom(AlertValue from)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.